# Class DeviceAction

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents an action that can be performed on or by a device.

    public class DeviceAction

Inheritance
  object
  DeviceAction

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AlarmName

    public string? AlarmName { get; set; }

#### Property Value

string

### ConfigObservationId

    public ObjectId ConfigObservationId { get; set; }

#### Property Value

ObjectId

### Type

    public DeviceActionType Type { get; set; }

#### Property Value

DeviceActionType

### ValueOnDoubleClick

    public object? ValueOnDoubleClick { get; set; }

#### Property Value

object

### ValueOnHoldClick

    public object? ValueOnHoldClick { get; set; }

#### Property Value

object

### ValueOnSingleClick

    public object? ValueOnSingleClick { get; set; }

#### Property Value

object